### Function

# PangoXft.render_layout

#### Declaration [src]

    void
    pango_xft_render_layout (
      XftDraw* draw,
      XftColor* color,
      PangoLayout* layout,
      int x,
      int y
    )

#### Description [src]

Render a `PangoLayout` onto a `XftDraw`

#### Parameters

`draw` | `XftDraw*`
| an `XftDraw`
| Ownership is not transferred to the callee
`color` | `XftColor*`
| the foreground color in which to draw the layout (may be overridden by color attributes)
| Ownership is not transferred to the callee
`layout` | `PangoLayout*`
| a `PangoLayout`
| Ownership is not transferred to the callee
`x` | `int`
| the X position of the left of the layout (in Pango units)
`y` | `int`
| the Y position of the top of the layout (in Pango units)